/*
*
* CwBdManualSerialMapper.java
* Copyright(C) 2017-2020 DHCC
* @date 2020-06-04
*/
package com.dhcc.finance.main.dao;


import java.util.Date;
import java.util.List;

import com.dhcc.finance.main.domain.CwBdManualSerial;
import com.dhcc.finance.main.domain.CwBdManualSerialExample;
import com.dhcc.finance.main.domain.CwBdVouchtempExample;
import com.dhcc.finance.main.model.CwBdManualSerialWeb;
import org.apache.ibatis.annotations.Param;

public interface CwBdManualSerialMapper {
    /**
     *
     * @mbg.generated 2020-06-04
     */
    long countByExample(CwBdManualSerialExample example);

    /**
     *
     * @mbg.generated 2020-06-04
     */
    int deleteByExample(CwBdManualSerialExample example);

    /**
     *
     * @mbg.generated 2020-06-04
     */
    int deleteByPrimaryKey(String id);

    /**
     *
     * @mbg.generated 2020-06-04
     */
    int insert(CwBdManualSerial record);

    /**
     *
     * @mbg.generated 2020-06-04
     */
    int insertSelective(CwBdManualSerial record);

    /**
     *
     * @mbg.generated 2020-06-04
     */
    List<CwBdManualSerial> selectByExample(CwBdManualSerialExample example);

    /**
     *
     * @mbg.generated 2020-06-04
     */
    CwBdManualSerial selectByPrimaryKey(String id);

    /**
     *
     * @mbg.generated 2020-06-04
     */
    int updateByExampleSelective(@Param("record") CwBdManualSerial record, @Param("example") CwBdManualSerialExample example);

    /**
     *
     * @mbg.generated 2020-06-04
     */
    int updateByExample(@Param("record") CwBdManualSerial record, @Param("example") CwBdManualSerialExample example);

    /**
     *
     * @mbg.generated 2020-06-04
     */
    int updateByPrimaryKeySelective(CwBdManualSerial record);

    /**
     *
     * @mbg.generated 2020-06-04
     */
    int updateByPrimaryKey(CwBdManualSerial record);

    /**
     * @Description: 查询批次号等
     * @author 彭杰
     * @date 2020/6/6
     * @time
    */
    List<CwBdManualSerial> selectAll(@Param("voucherType") String voucherType, @Param("importDate") String importDate, @Param("createUser") String createUser);

    /**
     * @Description: 查询详情
     * @author 彭杰
     * @date 2020/6/9
     * @time
    */
    List<CwBdManualSerial> selectDataDetail(@Param("batchNo") String batchNo, @Param("subjcode") String subjcode, @Param("projectCode") String projectCode, @Param("subProjectCode") String subProjectCode, @Param("pkVoucher") String pkVoucher);

    /**
     * @Description: 批量导入凭证新增
     * @author 彭杰
     * @date 2020/7/9
     * @time
    */
    int importBatchVoucherInfo(@Param("list") List<CwBdManualSerialWeb> list);


}